<?php
ob_start(); // Start reading html
$relativePath = "../../";
?>
    <div class="inner">
        <h1>ADMIN</h1>
        <h2>Edition du planning</h2>


        <select id="daySelect">
            <option value="1">Lundi</option>
            <option value="2">Mardi</option>
            <option value="3">Mercredi</option>
            <option value="4">Jeudi</option>
            <option value="5">Vendredi</option>
            <option value="6">Samedi</option>
            <option value="7">Dimanche</option>
        </select>

        <br>
        <div class="add-line">
            <i class="fas fa-plus"></i>
        </div>
        <div class="edit-header">
            <div class="planning-start">Début</div>
            <div class="planning-length">Durée</div>
            <div class="planning-name">Nom</div>
            <div class="planning-trash"><i class='fas fa-trash'></i></div>
        </div>
        <table id="activityTable">
        </table>

        <div class="save">
            <i class="fas fa-save"></i> Enregistrer
        </div>
        <br>
        <div class="buttons-container">
            <a href="../index.php" class="admin-back-button">
                <i class="fas fa-chevron-left"></i>
                Retour sur la page admin
            </a>
            <a href="<?= $relativePath ?>planning.php" class="website-back-button">
                Voir sur le site
            </a>
        </div>
    </div>


    <link rel="stylesheet" type="text/css" media="screen" href="<?= $relativePath ?>assets/css/adminEdit.css"/>

<?php
$pageContent = ob_get_clean(); // Store html content in variable
$pageTitle = "Édition planning";

$pageScripts = "<script type=\"text/javascript\" src=\"".$relativePath."assets/js/admin/planningManager.js\"></script>";

include($relativePath . "includes/template.php"); // Display template with variable content

?>
