<?
ob_start(); // Start reading html
?>
<link rel="stylesheet" type="text/css" media="screen" href="assets/css/enigma.css"><div class="inner">
    <h1>Enigma</h1>

</div>
<p>Pour résoudre les énigmes, un ordinateur est conseillé.</p>
<p>Petit tuto pour lire un code source (HTML) :</p>
<ul>
    <li>Ouvrir l'inspecteur d'élements, avec le clique droit ou dans le menu outils du navigateur (ou CTRL+Shift+I pour les intimes</li>
    <li>Parce qu'on a la flemme de lire l'entièreté du code, il faut utiliser le petit outil magique.</li>
    <li>Cet outil magique est le sélectionneur d'élements, petite icône rectangle + curseur sur le haut à droite de la fenêtre fraichement ouverte. (ou CTRL+Shift+C)
    <li>Trouver beaucoup d'éléments pour l'énigme </li>
</ul>
<h4> Choisis ton équipe !</h4>
<div id="enigma-teams">
        <button onclick="setTeam(this.id)" class="team-button" id="buttonBoo">Boomiflore</button>
        <button onclick="setTeam(this.id)" class="team-button" id="buttonPek">Peksureau</button>
</div>
<!--
Test résultats : -->
<!-- 012345 -->
<!-- chasse aux lancée. est codes La
-->
<label for="enigma">Solution</label>
<input type="text" id="enigma" name="enigma">
<button onclick="getCode()">Envoyer</button>
<div class="" id="enigma-result">
</div>

<script>
    function getTeam() {
        var selected = document.querySelector('#enigma-teams .active');
        if(selected === null) {
            alert("Choisissez votre équipe !");
            return;
        }

        return selected.id.substring(6, selected.length).toLowerCase();
    }

    function setTeam(team) {
        var selected = document.querySelector('#' + team);
        var buttonBoo = document.querySelector('#buttonBoo');
        var buttonPek = document.querySelector('#buttonPek');
        var mainContent = document.querySelector('#main-content-wrap');
        
        //alert(selected.id)
        selected.classList.add('active');

        team = team.substring(6, team.length);

        switch(team) {
            case 'Boo':
                mainContent.style.background = "#0A1406";
                buttonPek.classList.remove('active');
                break;
            case 'Pek' :
                mainContent.style.background = "#0D0712";
                buttonBoo.classList.remove('active');
                break;
            default:
                break;
        }
    }

    function getCode() {
        let code = document.querySelector('#enigma').value;
        let team = getTeam();

        if(team === undefined) {
            return;
        }

        let object = {
            "function": 'get_enigma_code',
            'code': code,
            'team': team,
        }
        return $.ajax({
            url: 'ajax/read',
            data: object,
            method: 'get',
            success: function(data){
                data = JSON.parse(data);
                let div = document.querySelector('#enigma-result');
                if(data['name'] !== null) {
                    if (document.querySelector('#' + data['name']) === null) {
                        let container = document.createElement('div');
                        container.id = data['name'];
                        container.innerHTML = data['info'];
                        div.append(container);
                    } else {
                        let container =  document.querySelector('#' + data['name'])
                        container.innerHTML = data['info'];
                    }

                }
                
                $("#top-bar-score").load(location.href + " #top-bar-score");
                 //console.log(data);
            }
        });
    }




</script>
<?php

?>

<?php
$pageContent = ob_get_clean(); // Store html content in variable
$pageTitle = "Enigma";
include("includes/template.php"); // Display template with variable content
?>